Package icyllis.arc3d.core

# Class Quad

java.lang.Object
icyllis.arc3d.core.Quad

public class Quad extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `kAxisAligned`
  `static final int`
  `kGeneral`
  `static final int`
  `kPerspective`
  `static final int`
  `kRectilinear`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Quad(Rect2fc rect)`
  `Quad(Rect2fc rect, Matrixc m)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `point(int i, float[] p)`
  `float`
  `w(int i)`
  `float`
  `w0()`
  `float`
  `w1()`
  `float`
  `w2()`
  `float`
  `w3()`
  `float`
  `x(int i)`
  `float`
  `x0()`
  `float`
  `x1()`
  `float`
  `x2()`
  `float`
  `x3()`
  `float`
  `y(int i)`
  `float`
  `y0()`
  `float`
  `y1()`
  `float`
  `y2()`
  `float`
  `y3()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### kAxisAligned

    public static final int kAxisAligned
    See Also:
      - Constant Field Values

  - ### kRectilinear

    public static final int kRectilinear
    See Also:
      - Constant Field Values

  - ### kGeneral

    public static final int kGeneral
    See Also:
      - Constant Field Values

  - ### kPerspective

    public static final int kPerspective
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Quad

    public Quad(Rect2fc rect)

  - ### Quad

    public Quad(Rect2fc rect, Matrixc m)

- ## Method Details

  - ### x0

    public float x0()

  - ### x1

    public float x1()

  - ### x2

    public float x2()

  - ### x3

    public float x3()

  - ### y0

    public float y0()

  - ### y1

    public float y1()

  - ### y2

    public float y2()

  - ### y3

    public float y3()

  - ### w0

    public float w0()

  - ### w1

    public float w1()

  - ### w2

    public float w2()

  - ### w3

    public float w3()

  - ### x

    public float x(int i)

  - ### y

    public float y(int i)

  - ### w

    public float w(int i)

  - ### point

    public void point(int i, float[] p)